import { EventEmitter, TemplateRef } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormControlComponent, DynamicFormControlModel } from "@ng2-dynamic-forms/core";
export declare const DYNAMIC_FORM_UI_BOOTSTRAP: string;
export declare class DynamicFormBootstrapComponent extends DynamicFormControlComponent {
    bindId: boolean;
    controlGroup: FormGroup;
    model: DynamicFormControlModel;
    nestedTemplate: TemplateRef<any>;
    hasSuccessStyles: boolean;
    hasErrorStyles: boolean;
    blur: EventEmitter<FocusEvent>;
    focus: EventEmitter<FocusEvent>;
    customTemplate: any;
    readonly type: string;
    constructor();
}
